Package Details: wsjtx 2.5.2-1

Git Clone URL: https://aur.archlinux.org/wsjtx.git (read-only, click to copy)
Package Base: wsjtx
Description: Software for Amateur Radio Weak-Signal Communication (JT9 and JT65)
Upstream URL: http://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Licenses: GPL-3
Submitter: 7h0ma5
Maintainer: AI5C
Last Packager: AI5C
Votes: 23
Popularity: 0.46
First Submitted: 2015-06-09 13:48
Last Updated: 2021-11-10 12:53

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

felmey commented on 2018-05-09 20:57

Will no longer compile... I think it's a problem with gcc8 and fortran....

[ 11%] Building Fortran object CMakeFiles/wsjt_fort_omp.dir/lib/decoder.f90.o jt9com.f90:42:47:

Error: Component ‘datetime’ of BIND(C) type at (1) must have length one jt9com.f90:43:45:

Error: Component ‘mycall’ of BIND(C) type at (1) must have length one jt9com.f90:44:44:

Error: Component ‘mygrid’ of BIND(C) type at (1) must have length one jt9com.f90:45:46:

Error: Component ‘hiscall’ of BIND(C) type at (1) must have length one jt9com.f90:46:45:

Error: Component ‘hisgrid’ of BIND(C) type at (1) must have length one

make[5]: [CMakeFiles/wsjt_fort_omp.dir/build.make:791: CMakeFiles/wsjt_fort_omp.dir/lib/decoder.f90.o] Error 1 make[4]: [CMakeFiles/Makefile2:929: CMakeFiles/wsjt_fort_omp.dir/all] Error 2 make[3]: [Makefile:152: all] Error 2 make[2]: [CMakeFiles/wsjtx-build.dir/build.make:61: wsjtx-prefix/src/wsjtx-stamp/wsjtx-build] Error 2 make[1]: [CMakeFiles/Makefile2:228: CMakeFiles/wsjtx-build.dir/all] Error 2 make: [Makefile:84: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

simona commented on 2017-06-16 21:41

asciidoctor required...

felmey commented on 2017-05-30 17:56

I had a problem today and not sure if it was due to an update. This was the error I received (after having worked for weeks):

wsjtx: error while loading shared libraries: libgfortran.so.3: cannot open shared object file: No such file or directory

I downloaded again from aur and reinstalled and everything is working again... Just thought I'd post this here in case anyone else had the same problem.

noway2 commented on 2017-05-25 19:25

I had the same problem installing. There are three locations in MainWindow.cpp that throw an exception claiming an ambiguous cast on the '\0'. Once those are changed to QChar {0} it compiles fine.

Sounds like there might be a tightening of the spec in the QT libraries or something perhaps?

felmey commented on 2017-04-21 03:35

I finally got it to install... There is a problem with the QT library and/or compiler compatibility. You must look for the errors as coterethus has suggested below and go to the exact line number given. For example ../mainwindow.cpp:1758:22 is on line 1758.

HOWEVER, the correct edit is as follows:


'\0'

to

QChar {0}

Here is the background information: http://wsjt-devel.narkive.com/oUaQqXwE/error-compiling-aur

NOTE: Only change the '\0' if that particular line gives you an error. Do not do a mass find and replace on the entire file.

felmey commented on 2017-04-04 08:18

I was getting these errors as well:
make[3]: *** [Makefile:150: all] Error 2

and the package wouldn't compile. So I downloaded the source and tried to compile the package. I received the exact same errors. I believe this is an upstream problem.

coterethus commented on 2017-03-06 19:54

When you get errors like these:
.../wsjtx/src/build/wsjtx-prefix/src/wsjtx/mainwindow.cpp:1758:??: error: ambiguous overload for ”operator!=” (operand types are ”QChar” and ”char”)
.../wsjtx/src/build/wsjtx-prefix/src/wsjtx/mainwindow.cpp:5302:15: error: ambiguous overload for ”operator!=” (operand types are ”QChar” and ”char”)
.../wsjtx/src/build/wsjtx-prefix/src/wsjtx/mainwindow.cpp:5897:43: error: ambiguous overload for ”operator!=” (operand types are ”QChar” and ”char”)


try edit file wsjtx/src/build/wsjtx-prefix/src/wsjtx/mainwindow.cpp like this:

line 1758:
if (vhf && submode != (QChar)'\0')

line 5302:
if (submode != (QChar)'\0')

line 5897:
submode != (QChar)'\0' ? QString {submode} : QString {}, m_bFastMode);

Good luck es 73's

akurei commented on 2017-02-24 13:17

If I build it with -DWSJT_GENERATE_DOCS=OFF, it also breaks:


[ 36%] Building Fortran object CMakeFiles/wsjt_fort_omp.dir/lib/wqencode.f90.o
[ 36%] Building Fortran object CMakeFiles/wsjt_fort_omp.dir/lib/wspr_downsample.f90.o
[ 36%] Building Fortran object CMakeFiles/wsjt_fort_omp.dir/lib/zplot9.f90.o
[ 36%] Building CXX object CMakeFiles/wsjt_fort_omp.dir/wsjt_fort_omp_automoc.cpp.o
[ 37%] Linking CXX static library libwsjt_fort_omp.a
[ 37%] Built target wsjt_fort_omp
make[3]: *** [Makefile:150: all] Error 2
make[2]: *** [CMakeFiles/wsjtx-build.dir/build.make:61: wsjtx-prefix/src/wsjtx-stamp/wsjtx-build] Error 2
make[1]: *** [CMakeFiles/Makefile2:293: CMakeFiles/wsjtx-build.dir/all] Error 2
make: *** [Makefile:84: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

akurei commented on 2017-02-24 13:08

Unable to build this, even though asciidoctor is installed:

[...]
-- Checking for module 'hamlib'
-- Found hamlib, version 3.1~git
-- Found hamlib
-- Found hamlib: /home/akurei/Code/abs/buildinhere/wsjtx/src/build/hamlib-prefix/include;/usr/include/libusb-1.0 (Required is at least version "3")
-- hamlib_INCLUDE_DIRS: /home/akurei/Code/abs/buildinhere/wsjtx/src/build/hamlib-prefix/include;/usr/include/libusb-1.0
-- hamlib_LIBRARIES: -L/home/akurei/Code/abs/buildinhere/wsjtx/src/build/hamlib-prefix/lib;-lhamlib;-lm;-ldl;-lusb-1.0;-ludev;-pthread
-- hamlib_LIBRARY_DIRS: /home/akurei/Code/abs/buildinhere/wsjtx/src/build/hamlib-prefix/lib
CMake Error at doc/CMakeLists.txt:113 (message):
asciidoctor is required to build the documentation



Building the documenation may optionally be turned off by setting the CMake

option WSJT_GENERATE_DOCS to OFF.


-- Configuring incomplete, errors occurred!
See also "/home/akurei/Code/abs/buildinhere/wsjtx/src/build/wsjtx-prefix/src/wsjtx-build/CMakeFiles/CMakeOutput.log".
make[2]: *** [CMakeFiles/wsjtx-build.dir/build.make:68: wsjtx-prefix/src/wsjtx-stamp/wsjtx-configure] Error 1
make[1]: *** [CMakeFiles/Makefile2:293: CMakeFiles/wsjtx-build.dir/all] Error 2
make: *** [Makefile:84: all] Error 2

zekesonxx commented on 2017-01-13 01:45

1.7.0 removed the dependency on kvasd-bin.

asciidoctor is needed as a makedep.